> This page is for API Reference.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.navipartner.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.navipartner.com/_mcp/server.

# Get POS Sale

GET https://api.npretail.app/{tenant}/{environment}/{company}/pos/sale/{saleId}

Retrieves a POS sale by its ID with optional line details

Reference: https://docs.navipartner.com/apis/api-reference/pos/possale/get-pos-sale

## Authentication

- `x-np-api-key` header (required) — API Key authentication via header

## Request

### Path parameters

- `tenant` (string, required) — Your Entra Tenant ID. [More details.](/paths#1-tenant)
- `environment` (string, required) — Your Business Central Environment. [More details.](/paths#2-environment)
- `company` (string, required) — Your Business Central Company. [More details.](/paths#3-company)
- `saleId` (UUID, required) — The id of a POS sale. This can be provided by the API consumer when creating a new sale.

### Query parameters

- `withLines` (boolean, optional) — Include sale lines and payment lines in the response

## Response

### 200

- `saleId` (UUID, required) — The id of a POS sale. This can be provided by the API consumer when creating a new sale.
- `receiptNo` (string, required)
- `posUnit` (string, required)
- `posStore` (string, required)
- `date` (date, required)
- `startTime` (datetime, required)
- `customerNo` (string, required)
- `salespersonCode` (string, required)
- `vatBusinessPostingGroup` (string, required)
- `genBusinessPostingGroup` (string, required)
- `saleLines` (list of POSSaleLineResponse, optional)
- `paymentLines` (list of POSPaymentLineResponse, optional)
- `totalSalesAmountInclVat` (double, optional) — Total amount of all sale lines including VAT (only present when withLines=true)
- `totalPaymentAmount` (double, optional) — Total amount of all payment lines (only present when withLines=true)

## Types

### POSSaleLineResponse

A sale line in the response

- `id` (UUID, required) — The id of a sale line within a POS sale.
- `sortKey` (integer, required)
- `type` (enum, required)
  - Allowed values: `Item`, `Item Category`, `BOM List`, `Customer Deposit`, `Comment`, `Rounding`, `G/L Payment`, `Issue Voucher`
- `code` (string, required)
- `variantCode` (string, required)
- `description` (string, required)
- `quantity` (double, required)
- `unitPrice` (double, required)
- `discountPct` (double, required)
- `discountAmount` (double, required)
- `vatPercent` (double, required)
- `amountInclVat` (double, required)
- `amount` (double, required)
- `unitOfMeasure` (string, required)
- `isAddon` (boolean, required) — Whether this line is an addon to another item
- `description2` (string, optional)
- `appliesToLine` (UUID, optional) — If this is an addon, the SystemId of the parent line it applies to
- `deleted` (boolean, optional)

### POSPaymentLineResponse

A payment line in the response

- `id` (UUID, required) — The id of a payment line within a POS sale.
- `sortKey` (integer, required)
- `paymentMethodCode` (string, required)
- `description` (string, required)
- `amountInclVat` (double, required)
- `deleted` (boolean, optional)

## Examples

**Response**

```json
{
  "saleId": "0d200aa6-aacd-4b78-b673-c4fb7461f5ea",
  "receiptNo": "12345678",
  "posUnit": "QR_FOOD_APP",
  "posStore": "STORE01",
  "date": "2024-01-01",
  "startTime": "2024-01-01T17:00:00Z",
  "customerNo": "C12345",
  "salespersonCode": "SP001",
  "vatBusinessPostingGroup": "DOMESTIC",
  "genBusinessPostingGroup": "DOMESTIC"
}
```

**SDK Code**

```python
import requests

url = "https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./pos/sale/0d200aa6-aacd-4b78-b673-c4fb7461f5ea"

querystring = {"withLines":"true"}

headers = {"x-np-api-key": "<NaviPartner API Key>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./pos/sale/0d200aa6-aacd-4b78-b673-c4fb7461f5ea?withLines=true';
const options = {method: 'GET', headers: {'x-np-api-key': '<NaviPartner API Key>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./pos/sale/0d200aa6-aacd-4b78-b673-c4fb7461f5ea?withLines=true"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-np-api-key", "<NaviPartner API Key>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./pos/sale/0d200aa6-aacd-4b78-b673-c4fb7461f5ea?withLines=true")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-np-api-key"] = '<NaviPartner API Key>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./pos/sale/0d200aa6-aacd-4b78-b673-c4fb7461f5ea?withLines=true")
  .header("x-np-api-key", "<NaviPartner API Key>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./pos/sale/0d200aa6-aacd-4b78-b673-c4fb7461f5ea?withLines=true', [
  'headers' => [
    'x-np-api-key' => '<NaviPartner API Key>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./pos/sale/0d200aa6-aacd-4b78-b673-c4fb7461f5ea?withLines=true");
var request = new RestRequest(Method.GET);
request.AddHeader("x-np-api-key", "<NaviPartner API Key>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["x-np-api-key": "<NaviPartner API Key>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./pos/sale/0d200aa6-aacd-4b78-b673-c4fb7461f5ea?withLines=true")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```